
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-meta-style">
        <div class="post-date-style"><a href="<?php the_permalink() ?>" rel="bookmark"><?php printf( __('%s', 'infosource'), get_the_date('M d, Y') ); ?></a></div>
        <?php printf( __( '<p class="post-author-style">by <a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></p>', 'infosource' ),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				esc_attr( sprintf( __( 'View all posts by %s', 'infosource' ), get_the_author() ) ),
				esc_html( get_the_author() )
			);
		
			if ( 'post' == get_post_type() ) {
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'infosource' ) );
				if ( $categories_list && infosource_categorized_blog() ) {
					printf( __( '<p class="post-cat-style">in %s</p>', 'infosource' ), $categories_list );
				}
		}?>
            
       <?php if ( comments_open() || ( '0' != get_comments_number() && ! comments_open() ) ) : ?>
				<p class="post-comment-style"><?php comments_popup_link( __( '<span class="white">Leave a</span> comment', 'infosource' ), __( '<span class="white">Comment</span> (1)', 'infosource' ), __( '<span class="white">Comments</span> (%)', 'infosource' ) ); ?></p>
		<?php endif; ?>
  </div>
  <div class="content-wrap">
    <div class="post-wrap">
    <?php if(the_title( '', '', false ) !='') : ?>
	<header class="entry-header">
		<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'infosource' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
	</header><!-- .entry-header -->
	<?php endif; ?>

	<?php if ( is_search() ) : // Only display Excerpts for search pages ?>
	<div class="entry-summary post_content">
    	<?php if ( has_post_thumbnail()) : ?>                
          <div class="imgthumb"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( array(100, 85) ); ?></a></div>               
        <?php endif; ?>
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
    <?php
		$images = get_children( array( 'post_parent' => $post->ID, 'post_type' => 'attachment', 'post_mime_type' => 'image', 'orderby' => 'menu_order', 'order' => 'ASC' ) );
		if ( $images ) :
			$total_images = count( $images );
			$image = array_shift( $images );
			$image_img_tag = wp_get_attachment_image( $image->ID, array(600, 250) );
		endif;
	?>
    
    <div class="imgthumb">
        <a href="<?php the_permalink(); ?>"><?php echo $image_img_tag; ?></a>
    </div>
    
	<div class="entry-content post_content">
		<?php if ( post_password_required() ) : ?>
			<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'infosource' ) ); ?>

			<?php else : ?>
				

				

				<p><em><?php printf( _n( 'This gallery contains <a %1$s>%2$s photo</a>.', 'This gallery contains <a %1$s>%2$s photos</a>.', $total_images, 'infosource' ),
						'href="' . get_permalink() . '" title="' . sprintf( esc_attr__( 'Permalink to %s', 'infosource' ), the_title_attribute( 'echo=0' ) ) . '" rel="bookmark"',
						number_format_i18n( $total_images )
					); ?></em></p>
			<?php  ?>
			<?php the_excerpt(); ?>
		<?php endif; ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'infosource' ), 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	</div>
    <div class="clearfix shadowfix"></div>
  </div>
</article><!-- #post-<?php the_ID(); ?> -->
