
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-meta-style">
        <div class="post-date-style"><a href="<?php the_permalink() ?>" rel="bookmark"><?php printf( __('%s', 'infosource'), get_the_date('M d, Y') ); ?></a></div>
        <?php printf( __( '<p class="post-author-style">by <a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></p>', 'infosource' ),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				esc_attr( sprintf( __( 'View all posts by %s', 'infosource' ), get_the_author() ) ),
				esc_html( get_the_author() )
			);
		
			if ( 'post' == get_post_type() ) {
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'infosource' ) );
				if ( $categories_list && infosource_categorized_blog() ) {
					printf( __( '<p class="post-cat-style">in %s</p>', 'infosource' ), $categories_list );
				}
		}?>
            
       <?php if ( comments_open() || ( '0' != get_comments_number() && ! comments_open() ) ) : ?>
				<p class="post-comment-style"><?php comments_popup_link( __( '<span class="white">Leave a</span> comment', 'infosource' ), __( '<span class="white">Comment</span> (1)', 'infosource' ), __( '<span class="white">Comments</span> (%)', 'infosource' ) ); ?></p>
		<?php endif; ?>
    </div>
<div class="content-wrap">
  <div class="post-wrap">
    <?php if(the_title( '', '', false ) !='') : ?>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</header><!-- .entry-header -->
    <?php endif; ?>

	<div class="entry-content post_content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'infosource' ), 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'infosource' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', ', ' );

			if ( ! infosource_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = __( 'This entry was tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'infosource' );
				} else {
					$meta_text = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'infosource' );
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'infosource' );
				} else {
					$meta_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'infosource' );
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink(),
				the_title_attribute( 'echo=0' )
			);
		?>

		<?php edit_post_link( __( 'Edit', 'infosource' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
    </div>
    <div class="clearfix shadowfix"></div>
  </div>
</article><!-- #post-<?php the_ID(); ?> -->
